| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::LazyRenderingConfig Struct Reference

`#include <canvas.h>`

## Public Member Functions
bool | IsApplyingClearColor () const
| Whether or not the clear color texture can still be updated. More...
| LazyRenderingConfig (ContentContext &renderer, std::unique_ptr< EntityPassTarget > p_entity_pass_target)
| LazyRenderingConfig (ContentContext &renderer, std::unique_ptr< EntityPassTarget > entity_pass_target, std::unique_ptr< InlinePassContext > inline_pass_context)

## Public Attributes
std::unique_ptr< EntityPassTarget > | entity_pass_target
std::unique_ptr< InlinePassContext > | inline_pass_context

## Detailed Description

Definition at line 80 of file canvas.h.

## Constructor & Destructor Documentation

## ◆ LazyRenderingConfig() [1/2]

impeller::LazyRenderingConfig::LazyRenderingConfig | ( | ContentContext & | renderer,
|  | std::unique_ptr< EntityPassTarget > | p_entity_pass_target
| ) |  |
| inline

Definition at line 87 of file canvas.h.

89 : entity_pass_target(std::move(p_entity_pass_target)) {
90 inline_pass_context =
91 std::make_unique<InlinePassContext>(renderer, *entity_pass_target, 0);
92 }

References entity_pass_target, and inline_pass_context.

## ◆ LazyRenderingConfig() [2/2]

impeller::LazyRenderingConfig::LazyRenderingConfig | ( | ContentContext & | renderer,
|  | std::unique_ptr< EntityPassTarget > | entity_pass_target,
|  | std::unique_ptr< InlinePassContext > | inline_pass_context
| ) |  |
| inline

Definition at line 94 of file canvas.h.

97 : entity_pass_target(std::move(entity_pass_target)),
98 inline_pass_context(std::move(inline_pass_context)) {}

## Member Function Documentation

## ◆ IsApplyingClearColor()

bool impeller::LazyRenderingConfig::IsApplyingClearColor | ( |  | ) | const
| inline

Whether or not the clear color texture can still be updated.

Definition at line 85 of file canvas.h.

85 { return !inline_pass_context->IsActive(); }

References inline_pass_context.

## Member Data Documentation

## ◆ entity_pass_target

std::unique_ptr<EntityPassTarget> impeller::LazyRenderingConfig::entity_pass_target

Definition at line 81 of file canvas.h.

Referenced by LazyRenderingConfig().

## ◆ inline_pass_context

std::unique_ptr<InlinePassContext> impeller::LazyRenderingConfig::inline_pass_context

Definition at line 82 of file canvas.h.

Referenced by IsApplyingClearColor(), and LazyRenderingConfig().

The documentation for this struct was generated from the following file:

- impeller/display_list/canvas.h

impeller::LazyRenderingConfig::inline_pass_context
std::unique_ptr< InlinePassContext > inline_pass_context
Definition: canvas.h:82
impeller::LazyRenderingConfig::entity_pass_target
std::unique_ptr< EntityPassTarget > entity_pass_target
Definition: canvas.h:81